import { Directive, DocumentSectionInterface, EnumValue, Field, InputValue, PluginInterface, Schema, SchemaType } from '../../lib/interface';
import { Plugin } from '../../lib/utility';
export default class SchemaPlugin extends Plugin implements PluginInterface {
    private html;
    getHeaders(): string[];
    getAssets(): string[];
    getDocuments(buildForType?: string): DocumentSectionInterface[];
    code(buildForType?: string): string;
    argument(arg: InputValue): string;
    argumentLength(arg: InputValue): number;
    arguments(fieldOrDirectives: Field | Directive): string;
    argumentsLength(fieldOrDirectives: Field | Directive): number;
    argumentsMultiline(fieldOrDirectives: Field | Directive): string[];
    argumentDescription(arg: InputValue): string[];
    argumentsDescription(fieldOrDirectives: Field | Directive): string[];
    deprecated(fieldOrEnumVal: Field | EnumValue): string;
    deprecatedLength(fieldOrEnumVal: Field | EnumValue): number;
    description(description: string): string[];
    directive(directive: Directive): string;
    enum(type: SchemaType): string;
    field(field: Field): string;
    fieldLength(field: Field): number;
    fields(type: SchemaType): string;
    inputObject(type: SchemaType): string;
    inputValues(inputValues: InputValue[]): string;
    inputValue(arg: InputValue): string;
    interfaces(type: SchemaType): string;
    object(type: SchemaType): string;
    scalar(type: SchemaType): string;
    schema(schema: Schema): string;
    union(type: SchemaType): string;
}
